Subject: RE: bug#14032: 24.3.50; regression: `modify-frame-parameters' no longer works correctly

From: "Drew Adams" <[email-masked]>
Date: Fri, 22 Mar 2013 14:14:26 -0700

> I cannot reproduce this, but since you didn't give a recipe, I'm
> probably doing something different from you.  When I evaluate
> 
>   (modify-frame-parameters nil '((width . 60) (height . 50)))
> 
> in "emacs -Q", the frame is resized according to the parameters I
> give.  Isn't that what you said didn't work?

No, of course not.  If it had been so simple to diagnose I would have sent your
trivial recipe.  And I would not have spent time trying to follow what was
happening in the debugger (to no avail).

There is a bug, and there was no such bug before.  I described the symptoms I
see.  I included printouts showing those symptoms: a backtrace showing the call
to `modify-frame-parameters' and the eval of (frame-parameters) showing that the
result does not correspond to the alist passed to `m-f-p'.

How is it possible that `m-f-p' produces parameters that conflict with those it
is passed?  Answer that and perhaps you will find the culprit code change.